AutoSignaling< T > Class Template Reference

Provides auto signaling support. More...

Inheritance diagram for AutoSignaling< T >:

## Public Member Functions

| AutoSignaling (int propagation=-1)
| Construct an AutoSignaling. More...
void | SetAutoSignalPropagation (int propagation)
| Set propagation of automatically generated and transferred signals. More...
int | GetAutoSignalPropagation () const
| Retrieve automatic signal propagation value. More...

## Detailed Description

### template<class T>
class AutoSignaling< T >

Provides auto signaling support.

Template Parameters

  T | BufferedTransformation derived class

Definition at line 422 of file simple.h.

## Constructor & Destructor Documentation

## AutoSignaling()

template<class T >

AutoSignaling< T >::AutoSignaling | ( | int | propagation = `-1` | ) |

inline

Construct an AutoSignaling.

Parameters

  propagation | the propagation count

Definition at line 427 of file simple.h.

## Member Function Documentation

## SetAutoSignalPropagation()

template<class T >

void AutoSignaling< T >::SetAutoSignalPropagation | ( | int | propagation | ) |

inline

Set propagation of automatically generated and transferred signals.

Parameters

  propagation | then new value

Setting propagation to `0` means do not automatically generate signals. Setting propagation to `-1` means unlimited propagation.

Definition at line 433 of file simple.h.

## GetAutoSignalPropagation()

template<class T >

int AutoSignaling< T >::GetAutoSignalPropagation | ( |  | ) | const

inline

Retrieve automatic signal propagation value.

Returns
  the number of attached transformations the signal is propagated to. 0 indicates the signal is only witnessed by this object

Definition at line 439 of file simple.h.

The documentation for this class was generated from the following file:

- simple.h